{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.hearts": {
      "states": {
        "default": {
          "transitions": [ { "walking": "(1.0)" } ],
          "on_entry": [ "/function hearts" ]
        },
        "walking": {
          "transitions": [ { "default": "(1.0)" } ],
          "on_entry": [ "/function hearts" ]
        }
      }
    },
    "controller.animation.leveling": {
      "states": {
        "default": {
          "transitions": [ { "heart": "query.get_equipped_item_name == 'heart' && query.is_using_item" } ],
          "on_entry": [ "/function leveling" ]
        },
        "click1": {
          "transitions": [ { "default": "query.get_equipped_item_name == 'heart' && query.is_using_item" } ],
          "on_entry": [ "/function leveling" ]
        }
      }
    }
  }
}